<template>
  <div class="p-2 px-6">
    <ContentRenderer :value="post">
      <!--<hgroup class="mb-4">
        <h1 class="text-4xl font-bold font-serif">{{ post.title }}</h1>
        <h3>{{ post.tagline }}</h3>
      </hgroup>-->
      <ContentRendererMarkdown :value="post" class="unreset" />
    </ContentRenderer>
  </div>
</template>

<script setup lang="ts">
const route = useRoute();

const post = await queryContent("blog")
  .where({ _path: route.fullPath })
  .findOne();
</script>
